どのバージョンの HttpClient を利用すればよいでしょうか。

2017/04/11 現在、intra-mart AccelPlatform には以下のバージョンの HttpClient を同梱しています。

1. Apache HTTPComponents client 4.2
Module ID:jp.co.intra_mart.vendor.http_client_v4_2
Module Version:4.2.0

2. Apache HTTPComponents client 4.4.1
Module ID:jp.co.intra_mart.vendor.http_client_v4_4_1
Module Version:4.4.1-PATCH_001

どちらかをご利用ください。
なお、Apache HTTPComponents client 4.2 は 8.0.9 2014 Winter 以降、Apache HTTPComponents client 4.4.1 は 8.0.12 - 2015 Winter 以降でご利用いただけます。
それぞれ以下のようにリパッケージを行っていますので、リパッケージされたclassを利用してください。

Apache HTTPComponents client 4.2
org.apache.http → jp.co.intra_mart.system.repackage.httpcomponents_4_2.org.apache.http

Apache HTTPComponents client 4.4.1
org.apache.http → jp.co.intra_mart.system.repackage.httpcomponents_4_4_1.org.apache.http

-- 対象 ------------------------------------------------------------------------
iAP/Accel Platform
--------------------------------------------------------------------------------

FAQID:636
この記事は役に立ちましたか?
0人中0人がこの記事が役に立ったと言っています
Powered by Zendesk